Skip to main content

Stand-Alone Credit Voids


This section describes how to void a stand-alone credit that was submitted but not yet processed by the processor.

Supported Processors

  • eftpos
  • Supported only for the eftpos processor

Endpoints

To void a stand-alone credit:

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

The {id} is the transaction ID of the stand-alone credit to void.

Example

{    "clientReferenceInformation": {        "code": "A61 050"    }}
{  "_links" : {    "self" : {      "method" : "GET",      "href" : "/pts/v2/voids/7495668874846651503091"    }  },  "clientReferenceInformation" : {    "code" : "A61_050"  },  "id" : "7495668874846651503091",  "orderInformation" : {    "amountDetails" : {      "currency" : "AUD"    }  },  "processorInformation" : {    "retrievalReferenceNumber" : "277722470514",    "settlementDate" : "0611",    "responseCode" : "00"  },  "status" : "VOIDED",  "submitTimeUtc" : "2025-06-10T14:48:10Z",  "voidAmountDetails" : {    "currency" : "AUD",    "voidAmount" : "100.00"  }}

Required Fields

These fields are required for all supported processors unless a processor-specific section indicates otherwise.

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.

Last published: September 29, 2026